# Highwind
Highwind is a lightweight, free WordPress theme designed to showcase content. It features a clean, responsive design with a strong focus on typography, plus a bunch of presentational options and widgetised regions allowing you to give your site a unique touch. [View Documentation](https://github.com/jameskoster/highwind/wiki).

# License

* License: [GNU General Public License v2.0](http://www.gnu.org/licenses/gpl-2.0.html)
* FontAwesome Icon font License: [SIL Open Font License (OFL)](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL)

# Features

## Developer Friendly
Loads of hooks and filters to extend and customise Highwind via plugin and/or child theme.

## Footer Widgets
In addition to your sidebar you can add widgets the three defined regions in the footer. These will be arranged in columns according to which regions you use.

## Responsive
Highwind has been fully optimised for small screen display. Your content will look beautiful whether it's viewed on a desktop, a tablet or a smartphone.

## Theme Hook Alliance
Highwind fully supports the [Theme Hook Alliance](https://github.com/zamoose/themehookalliance).

## Theme Options
Just enough options to make your site unique. There are options to change colors, layout and header / background images.

## Typography
All aspects of typography are set up in accordance to a Modular Scale ensuring consistent typographical hierarchy.

## Documentation
Ever evolving documentation available in the [wiki](https://github.com/jameskoster/highwind/wiki).

## WooCommerce Integration
Use Highwind to create an online store using [WooCommerce](http://woothemes.com/woocommerce).


# Usage

## Theme options

To customise Highwind log in to your dashboard and navigate to Appearance > Themes and click 'Customize'. From the front-end you can access theme customization from the admin bar.

* Site Title & Tagline - Change your site title & tagline.
* Colors - Change theme colors such as background, text, link etc
* Layout - Position the sidebar on the left or the right
* Header Image - Change the header image
* Background Image - Change the background image
* Navigation - Specify which menu to use in the menu location
* Static Front Page - Optionally specify a static front page

## Further customisation
If you want to customise Highwind beyond the included options, I strongly recommend that you do so via a [child theme](http://codex.wordpress.org/Child_Themes).

# Misc

* [Modular Scale](http://modularscale.com/scale/?px1=16&px2=18&ra1=1.333&ra2=0)